//
// Copyright (C) 2022 Open Source Robotics Foundation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        (unknown)
// source: domain/suite.proto

package domain

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	durationpb "google.golang.org/protobuf/types/known/durationpb"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Suite_Status int32

const (
	Suite_UNKNOWN  Suite_Status = 0
	Suite_PENDING  Suite_Status = 1000
	Suite_RUNNING  Suite_Status = 2000
	Suite_FINISHED Suite_Status = 3000
)

// Enum value maps for Suite_Status.
var (
	Suite_Status_name = map[int32]string{
		0:    "UNKNOWN",
		1000: "PENDING",
		2000: "RUNNING",
		3000: "FINISHED",
	}
	Suite_Status_value = map[string]int32{
		"UNKNOWN":  0,
		"PENDING":  1000,
		"RUNNING":  2000,
		"FINISHED": 3000,
	}
)

func (x Suite_Status) Enum() *Suite_Status {
	p := new(Suite_Status)
	*p = x
	return p
}

func (x Suite_Status) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (Suite_Status) Descriptor() protoreflect.EnumDescriptor {
	return file_domain_suite_proto_enumTypes[0].Descriptor()
}

func (Suite_Status) Type() protoreflect.EnumType {
	return &file_domain_suite_proto_enumTypes[0]
}

func (x Suite_Status) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use Suite_Status.Descriptor instead.
func (Suite_Status) EnumDescriptor() ([]byte, []int) {
	return file_domain_suite_proto_rawDescGZIP(), []int{0, 0}
}

// Suite contains a group of scenario runs.
type Suite struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// SHA is the head SHA that originated this suite.
	SHA string `protobuf:"bytes,1,opt,name=SHA,proto3" json:"SHA,omitempty"`
	// Provider contains the name of the git provider that originated this suite.
	Provider string `protobuf:"bytes,2,opt,name=provider,proto3" json:"provider,omitempty"`
	// Repository contains information about the git repository that triggered this suite.
	Repository *Repository `protobuf:"bytes,3,opt,name=repository,proto3" json:"repository,omitempty"`
	// Branch contains the branch that originated this suite.
	Branch string `protobuf:"bytes,4,opt,name=branch,proto3" json:"branch,omitempty"`
	// Scenarios contains information about each one of the scenarios that were run in this suite.
	Scenarios []*Scenario `protobuf:"bytes,5,rep,name=scenarios,proto3" json:"scenarios,omitempty"`
	// StartTime is the date and time when this suite was requested.
	StartTime *timestamppb.Timestamp `protobuf:"bytes,6,opt,name=start_time,json=startTime,proto3" json:"start_time,omitempty"`
	// Duration contains the duration that it took to run this suite.
	Duration *durationpb.Duration `protobuf:"bytes,7,opt,name=duration,proto3" json:"duration,omitempty"`
	// Status contains the lifecycle state this suite is in.
	Status Suite_Status `protobuf:"varint,8,opt,name=status,proto3,enum=domain.Suite_Status" json:"status,omitempty"`
	// Error contains an optional error message explaining why the suite failed.
	// Error is empty if there are no errors with this suite. It must only be set if Suite.Status == Finished.
	Error string `protobuf:"bytes,9,opt,name=error,proto3" json:"error,omitempty"`
	// ScenarioCount contains the total number of scenarios that ran.
	ScenarioCount int32 `protobuf:"varint,10,opt,name=scenario_count,json=scenarioCount,proto3" json:"scenario_count,omitempty"`
	// ScenarioFailCount contains the number of scenarios that failed.
	// The count of scenarios can be used to determine the number of
	// passed scenarios by subtracting it from `scenario_count`.
	ScenarioFailCount int32 `protobuf:"varint,11,opt,name=scenario_fail_count,json=scenarioFailCount,proto3" json:"scenario_fail_count,omitempty"`
	// TestCount contains the total number of tests over all scenarios
	// and iterations that ran for this suite.
	TestCount int32 `protobuf:"varint,12,opt,name=test_count,json=testCount,proto3" json:"test_count,omitempty"`
	// TestFaileCount contains the total number of failed tests over all
	// scenarios and iterations that ran for this suite.
	TestFailCount int32 `protobuf:"varint,13,opt,name=test_fail_count,json=testFailCount,proto3" json:"test_fail_count,omitempty"`
	// Failed is set to true if any the scenarios failed.
	Failed bool `protobuf:"varint,14,opt,name=failed,proto3" json:"failed,omitempty"`
}

func (x *Suite) Reset() {
	*x = Suite{}
	if protoimpl.UnsafeEnabled {
		mi := &file_domain_suite_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Suite) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Suite) ProtoMessage() {}

func (x *Suite) ProtoReflect() protoreflect.Message {
	mi := &file_domain_suite_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Suite.ProtoReflect.Descriptor instead.
func (*Suite) Descriptor() ([]byte, []int) {
	return file_domain_suite_proto_rawDescGZIP(), []int{0}
}

func (x *Suite) GetSHA() string {
	if x != nil {
		return x.SHA
	}
	return ""
}

func (x *Suite) GetProvider() string {
	if x != nil {
		return x.Provider
	}
	return ""
}

func (x *Suite) GetRepository() *Repository {
	if x != nil {
		return x.Repository
	}
	return nil
}

func (x *Suite) GetBranch() string {
	if x != nil {
		return x.Branch
	}
	return ""
}

func (x *Suite) GetScenarios() []*Scenario {
	if x != nil {
		return x.Scenarios
	}
	return nil
}

func (x *Suite) GetStartTime() *timestamppb.Timestamp {
	if x != nil {
		return x.StartTime
	}
	return nil
}

func (x *Suite) GetDuration() *durationpb.Duration {
	if x != nil {
		return x.Duration
	}
	return nil
}

func (x *Suite) GetStatus() Suite_Status {
	if x != nil {
		return x.Status
	}
	return Suite_UNKNOWN
}

func (x *Suite) GetError() string {
	if x != nil {
		return x.Error
	}
	return ""
}

func (x *Suite) GetScenarioCount() int32 {
	if x != nil {
		return x.ScenarioCount
	}
	return 0
}

func (x *Suite) GetScenarioFailCount() int32 {
	if x != nil {
		return x.ScenarioFailCount
	}
	return 0
}

func (x *Suite) GetTestCount() int32 {
	if x != nil {
		return x.TestCount
	}
	return 0
}

func (x *Suite) GetTestFailCount() int32 {
	if x != nil {
		return x.TestFailCount
	}
	return 0
}

func (x *Suite) GetFailed() bool {
	if x != nil {
		return x.Failed
	}
	return false
}

var File_domain_suite_proto protoreflect.FileDescriptor

var file_domain_suite_proto_rawDesc = []byte{
	0x0a, 0x12, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x2f, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x06, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x1a, 0x17, 0x64, 0x6f,
	0x6d, 0x61, 0x69, 0x6e, 0x2f, 0x72, 0x65, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x6f, 0x72, 0x79, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x15, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x2f, 0x73, 0x63,
	0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69,
	0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1e, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x64,
	0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xdf, 0x04,
	0x0a, 0x05, 0x53, 0x75, 0x69, 0x74, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x53, 0x48, 0x41, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x53, 0x48, 0x41, 0x12, 0x1a, 0x0a, 0x08, 0x70, 0x72, 0x6f,
	0x76, 0x69, 0x64, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x70, 0x72, 0x6f,
	0x76, 0x69, 0x64, 0x65, 0x72, 0x12, 0x32, 0x0a, 0x0a, 0x72, 0x65, 0x70, 0x6f, 0x73, 0x69, 0x74,
	0x6f, 0x72, 0x79, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x64, 0x6f, 0x6d, 0x61,
	0x69, 0x6e, 0x2e, 0x52, 0x65, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x6f, 0x72, 0x79, 0x52, 0x0a, 0x72,
	0x65, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x6f, 0x72, 0x79, 0x12, 0x16, 0x0a, 0x06, 0x62, 0x72, 0x61,
	0x6e, 0x63, 0x68, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x62, 0x72, 0x61, 0x6e, 0x63,
	0x68, 0x12, 0x2e, 0x0a, 0x09, 0x73, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x73, 0x18, 0x05,
	0x20, 0x03, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x53, 0x63,
	0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x52, 0x09, 0x73, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f,
	0x73, 0x12, 0x39, 0x0a, 0x0a, 0x73, 0x74, 0x61, 0x72, 0x74, 0x5f, 0x74, 0x69, 0x6d, 0x65, 0x18,
	0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d,
	0x70, 0x52, 0x09, 0x73, 0x74, 0x61, 0x72, 0x74, 0x54, 0x69, 0x6d, 0x65, 0x12, 0x35, 0x0a, 0x08,
	0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x44, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x08, 0x64, 0x75, 0x72, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x12, 0x2c, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x08, 0x20,
	0x01, 0x28, 0x0e, 0x32, 0x14, 0x2e, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x53, 0x75, 0x69,
	0x74, 0x65, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x12, 0x14, 0x0a, 0x05, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x05, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x12, 0x25, 0x0a, 0x0e, 0x73, 0x63, 0x65, 0x6e, 0x61,
	0x72, 0x69, 0x6f, 0x5f, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x05, 0x52,
	0x0d, 0x73, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x2e,
	0x0a, 0x13, 0x73, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x5f, 0x66, 0x61, 0x69, 0x6c, 0x5f,
	0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x05, 0x52, 0x11, 0x73, 0x63, 0x65,
	0x6e, 0x61, 0x72, 0x69, 0x6f, 0x46, 0x61, 0x69, 0x6c, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x1d,
	0x0a, 0x0a, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x0c, 0x20, 0x01,
	0x28, 0x05, 0x52, 0x09, 0x74, 0x65, 0x73, 0x74, 0x43, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x26, 0x0a,
	0x0f, 0x74, 0x65, 0x73, 0x74, 0x5f, 0x66, 0x61, 0x69, 0x6c, 0x5f, 0x63, 0x6f, 0x75, 0x6e, 0x74,
	0x18, 0x0d, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0d, 0x74, 0x65, 0x73, 0x74, 0x46, 0x61, 0x69, 0x6c,
	0x43, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x16, 0x0a, 0x06, 0x66, 0x61, 0x69, 0x6c, 0x65, 0x64, 0x18,
	0x0e, 0x20, 0x01, 0x28, 0x08, 0x52, 0x06, 0x66, 0x61, 0x69, 0x6c, 0x65, 0x64, 0x22, 0x40, 0x0a,
	0x06, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x0b, 0x0a, 0x07, 0x55, 0x4e, 0x4b, 0x4e, 0x4f,
	0x57, 0x4e, 0x10, 0x00, 0x12, 0x0c, 0x0a, 0x07, 0x50, 0x45, 0x4e, 0x44, 0x49, 0x4e, 0x47, 0x10,
	0xe8, 0x07, 0x12, 0x0c, 0x0a, 0x07, 0x52, 0x55, 0x4e, 0x4e, 0x49, 0x4e, 0x47, 0x10, 0xd0, 0x0f,
	0x12, 0x0d, 0x0a, 0x08, 0x46, 0x49, 0x4e, 0x49, 0x53, 0x48, 0x45, 0x44, 0x10, 0xb8, 0x17, 0x42,
	0x31, 0x5a, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x69, 0x67,
	0x6e, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x72, 0x6f, 0x62, 0x6f, 0x74, 0x69, 0x63, 0x73, 0x2f, 0x63,
	0x6c, 0x6f, 0x75, 0x64, 0x73, 0x69, 0x6d, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x64, 0x6f, 0x6d, 0x61,
	0x69, 0x6e, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_domain_suite_proto_rawDescOnce sync.Once
	file_domain_suite_proto_rawDescData = file_domain_suite_proto_rawDesc
)

func file_domain_suite_proto_rawDescGZIP() []byte {
	file_domain_suite_proto_rawDescOnce.Do(func() {
		file_domain_suite_proto_rawDescData = protoimpl.X.CompressGZIP(file_domain_suite_proto_rawDescData)
	})
	return file_domain_suite_proto_rawDescData
}

var file_domain_suite_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_domain_suite_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_domain_suite_proto_goTypes = []interface{}{
	(Suite_Status)(0),             // 0: domain.Suite.Status
	(*Suite)(nil),                 // 1: domain.Suite
	(*Repository)(nil),            // 2: domain.Repository
	(*Scenario)(nil),              // 3: domain.Scenario
	(*timestamppb.Timestamp)(nil), // 4: google.protobuf.Timestamp
	(*durationpb.Duration)(nil),   // 5: google.protobuf.Duration
}
var file_domain_suite_proto_depIdxs = []int32{
	2, // 0: domain.Suite.repository:type_name -> domain.Repository
	3, // 1: domain.Suite.scenarios:type_name -> domain.Scenario
	4, // 2: domain.Suite.start_time:type_name -> google.protobuf.Timestamp
	5, // 3: domain.Suite.duration:type_name -> google.protobuf.Duration
	0, // 4: domain.Suite.status:type_name -> domain.Suite.Status
	5, // [5:5] is the sub-list for method output_type
	5, // [5:5] is the sub-list for method input_type
	5, // [5:5] is the sub-list for extension type_name
	5, // [5:5] is the sub-list for extension extendee
	0, // [0:5] is the sub-list for field type_name
}

func init() { file_domain_suite_proto_init() }
func file_domain_suite_proto_init() {
	if File_domain_suite_proto != nil {
		return
	}
	file_domain_repository_proto_init()
	file_domain_scenario_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_domain_suite_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Suite); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_domain_suite_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_domain_suite_proto_goTypes,
		DependencyIndexes: file_domain_suite_proto_depIdxs,
		EnumInfos:         file_domain_suite_proto_enumTypes,
		MessageInfos:      file_domain_suite_proto_msgTypes,
	}.Build()
	File_domain_suite_proto = out.File
	file_domain_suite_proto_rawDesc = nil
	file_domain_suite_proto_goTypes = nil
	file_domain_suite_proto_depIdxs = nil
}
